Bug 56173 - incorrect relative symbolic links to /lib/... , /bin/..., etc.
incorrect relative symbolic links to /lib/... , /bin/..., etc.
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-11-13 11:34 EST by Vladimir Kondratiev
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-13 11:34:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Kondratiev 2001-11-13 11:34:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 4.01 Fucking browser)

Description of problem:
This bug do not belongs to some component, it is genegic one.
In many rpm's there are libraries in /lib and symlinks to these libraries
in /usr/lib. Links under /usr/ are done in relative form 
../../lib/something instead of absolute /lib/something
For some reason, at my host /usr is symlink to /opt/usr while /lib is true
directory on the root fs. In this setup, symlinks like ../../lib/something
points to /opt/lib/something, which is invalid.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set up /usr as symlink to /opt/usr
2.install, for example, pam-... rpm
3.look at libpam* symlinks at /usr/lib - they are invalid

Actual Results:  invalid symbolic links in /usr/lib, /usr/bin and /usr/sbin

Expected Results:  valid symbolic links

Additional info:

Proposed fix: use absolute file names while symlinking files from /lib,
/bin, /sbin.
Comment 1 Jeff Johnson 2001-12-02 18:51:24 EST
The "bug" is generic to the distro, not rpm. Yes relative
symlinks are used most everywhere, as relative symlinks
into a nfs mount with a different mount point name don't break.

Note You need to log in before you can comment on or make changes to this bug.